Freeciv-3.3: /fast/freeciv/nightly/main/client/gui-gtk-3.22/rallypointdlg.c File Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Functions | Variables
rallypointdlg.c File Reference
`#include <gtk/gtk.h>`
`#include "fcintl.h"`
`#include "city.h"`
`#include "game.h"`
`#include "tile.h"`
`#include "client_main.h"`
`#include "goto.h"`
`#include "gui_main.h"`
`#include "gui_stuff.h"`
`#include "rallypointdlg.h"`

Go to the source code of this file.

## Functions

static bool | rally_dialog_open (void)
static void | rally_response_callback (GtkWidget *dlg, gint arg)
void | rally_dialog_popup (void)
enum rally_phase | rally_placement_phase (void)
bool | rally_set_tile (struct tile *ptile)

## Variables

bool | rally_dialog = FALSE
static GtkWidget * | instruction_label = NULL
static GtkWidget * | persistent
static int | rally_city_id = -1

## Function Documentation

## ◆ rally_dialog_open()

static bool rally_dialog_open | ( | void |  | ) |

static

Is rally point dialog currently open?

Definition at line 47 of file rallypointdlg.c.

Referenced by rally_dialog_popup().

## ◆ rally_dialog_popup()

void rally_dialog_popup | ( | void |  | ) |

Open rally point placement dialog

Definition at line 66 of file rallypointdlg.c.

Referenced by rally_dialog_callback(), and rally_dialog_callback().

## ◆ rally_placement_phase()

enum rally_phase rally_placement_phase | ( | void |  | ) |

Which rally point placement phace we are at the moment.

Definition at line 116 of file rallypointdlg.c.

Referenced by rally_set_tile().

## ◆ rally_response_callback()

static void rally_response_callback | ( | GtkWidget * | dlg,
|  | gint | arg
| ) |  |

static

Handle rally point dialog closing.

Definition at line 55 of file rallypointdlg.c.

Referenced by rally_dialog_popup().

## ◆ rally_set_tile()

bool rally_set_tile | ( | struct tile * | ptile | ) |

Set city or tile for the infra placement. Returns whether the click was considered to be one for rally dialog.

Definition at line 133 of file rallypointdlg.c.

Referenced by butt_down_mapcanvas(), and left_butt_down_mapcanvas().

## Variable Documentation

## ◆ instruction_label

GtkWidget* instruction_label = NULL

static

Definition at line 39 of file rallypointdlg.c.

Referenced by rally_dialog_popup(), rally_response_callback(), and rally_set_tile().

## ◆ persistent

GtkWidget* persistent

static

Definition at line 40 of file rallypointdlg.c.

Referenced by metaconnection_command(), open_metaserver_connection(), rally_dialog_popup(), rally_set_tile(), receive_packet_city_rally_point_100(), reset_all_start_commands(), send_rally_path(), send_rally_path_orders(), send_rally_tile(), server_open_meta(), and version_message().

## ◆ rally_city_id

int rally_city_id = -1

static

Definition at line 42 of file rallypointdlg.c.

Referenced by rally_placement_phase(), and rally_set_tile().

## ◆ rally_dialog

bool rally_dialog = FALSE

Definition at line 38 of file rallypointdlg.c.

Referenced by rally_dialog_open(), rally_dialog_popup(), rally_placement_phase(), and rally_response_callback().